function dxdt = Flex_Complaint(t,x,exf2)
    
   
    
    %parameters
    m0 = 5;
    m1 = 1;
    m2 = 1;
    Krob = 1e4;
    Drob = 80;
    
    %model matrices
%     %ante-impact 
%     Qa = [0;0;exf2];
%     Ma = [m0 0 0;0 m1 0;0 0 m2];
%     Da = Drob*[0 0 0;0 1 -1;0 -1 1];
%     Ka = [0 0 0;0 Krob -Krob;0 -Krob Krob];
%     dxdta = inv(Ma)*(Qa-Da*x(4:6)-Ka*x(1:3));
%     %post-impact
    
    Qp = [0;0;exf2];
    Mp = [m0 0 0;0 m1 0;0 0 m2];
    Dp = Drob*[0 0 0;0 1 -1;0 -1 1];
    Kp = [0 0 0;0 Krob -Krob;0 -Krob Krob];
    Fn = HCFn_NRL(x(2),x(4)-x(5),x(1));
    
    dxdtp = inv(Mp)*(Qp-Dp*x(4:6)-Kp*x(1:3)+[-Fn;Fn;0]);
    dxdt  = [x(4:6);dxdtp];
    
end
