 function dxdt = Flex_HardP(t,x,exf2)
    
   
    
    %parameters
    m0 = 5;
    m1 = 1;
    m2 = 1;
    Krob = 1e4;
    Drob = 80;

    %model matrices 
    Q = [0;exf2];
    M = [m1+m0 0;0 m2];
    D = Drob*[ 1 -1;-1 1];
    K = [Krob -Krob;-Krob Krob];
    
    dxdt = [x(3:4);inv(M)*(Q-D*x(3:4)-K*x(1:2))];
    
end
