function Fn = HCFn(y,ydot,ywall)

% v = 0.37;
% E = 1e8;
% Estar = E/(1-v^2);
% R = 0.025;
% K = 4/3*sqrt(R)*E;
% alpha = 0.9;
% lambda = 3/2*alpha*K;
%soft
% n = 1.23;
% K = 500;
% lambda = 20;
%hard

n      = 1.5; % c in the paper (1.5 corresponds to sphere-halfspace)
K      = 1e8;  
lambda = 1e8; % 1e9; % use 1e9 for highly damped simulation

% n = 1.2;

delta = ywall-y;
deltadot = ydot;
if delta<0
    Fn = 0;
else
    Fn = K*delta^n+lambda*delta^n*deltadot;
end

end
